%define base_name	kwin-style
%define theme_name	smoothblend
%define name		%{base_name}-%{theme_name}
%define version 1.1
%define release 3mdk
%define summary		Smoothblend kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=21107
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Smooth Blend - a smooth blending of the window 
background color into the titlebar.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README CREDITS TODO
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-2mdk
- Rebuild

* Mon Apr 18 2005 Sebastien Savarin <plouf@mandriva.org> 1.1-1mdk
- New release 1.1

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandrake.org> 0.beta2-1mdk
-Initial mandrake release

